<?php

namespace CustomerManagement\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetCustomerEnergyProgramEligibility StructType
 * @subpackage Structs
 */
class GetCustomerEnergyProgramEligibility extends AbstractStructBase
{
    /**
     * The programId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $programId;
    /**
     * Constructor method for GetCustomerEnergyProgramEligibility
     * @uses GetCustomerEnergyProgramEligibility::setProgramId()
     * @param int $programId
     */
    public function __construct($programId = null)
    {
        $this
            ->setProgramId($programId);
    }
    /**
     * Get programId value
     * @return int
     */
    public function getProgramId()
    {
        return $this->programId;
    }
    /**
     * Set programId value
     * @param int $programId
     * @return \CustomerManagement\StructType\GetCustomerEnergyProgramEligibility
     */
    public function setProgramId($programId = null)
    {
        // validation for constraint: int
        if (!is_null($programId) && !(is_int($programId) || ctype_digit($programId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($programId, true), gettype($programId)), __LINE__);
        }
        $this->programId = $programId;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \CustomerManagement\StructType\GetCustomerEnergyProgramEligibility
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
